<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.system.base.mapper.BdRegionVertexMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.system.base.BdRegionVertex">
    <result column="CREATION_TIME" property="creationTime" />
    <result column="MODIFIED_TIME" property="modifiedTime" />
        <result column="PK_ID" property="pkId" />
        <result column="NAME" property="name" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        CREATION_TIME,
        MODIFIED_TIME,
        PK_ID, NAME
    </sql>
    <select id="validateMappingCount" resultType="java.lang.Integer" parameterType="java.lang.Long">
        select count(1) from BD_VERTEX where REGION_VERTEX_PK_ID = #{pkId}
    </select>

</mapper>
